MOS(4)

NAME
mos - MosChip MCS7730/7830/7832 10/100 USB Ethernet device

SYNOPSIS
mos* at uhub?

DESCRIPTION
The mos driver provides support for USB Ethernet adapters based on the MosChip MCS7730, MCS7830, and MCS7832 USB 2.0 chipsets, including the following:

Delock 61147
Sitecom LN-030
Syba SY-U2LAN

All adapters operate with either USB 1.x, 2.0, or 3.x controllers, though performance with 1.x controllers is limited since the USB 1.x standard specifies a maximum transfer speed of 12Mbps. Users with USB 1.x controllers should therefore not expect to actually achieve 100Mbps speeds with these devices.

A 64-bit multicast hash table is supported, single perfect filter entry for the station address, all-multicast mode, and promiscuous mode. Packets are received and transmitted over separate USB bulk transfer endpoints.

The mos driver supports the following media types:

autoselect
    Enable autoselection of the media type and options (this is the default). The user can manually override the autoselected mode by adding media options to the appropriate ifconfig.if(5) file.

10baseT
    Set 10Mbps operation.

100baseTX
    Set 100Mbps (Fast Ethernet) operation.

The mos driver supports the following media options:

full-duplex
    Force full-duplex operation.

half-duplex
    Force half-duplex operation.

For more information on configuring this device, see ifconfig(8).

DIAGNOSTICS
See usbnet(4) for diagnostics.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), usb(4), usbnet(4), ifconfig.if(5), ifconfig(8), usbnet(9) MosChip India, http://www.moschip.com.

HISTORY
The mos driver first appeared in OpenBSD 4.5. It was ported to NetBSD by Matthew R. Green <mrg@eterna.com.au> and first appeared in NetBSD 10.0.

AUTHORS
-nosplit The mos driver was written by Johann Christian Rode <jcrode@gmx.net>.